/* * {border: 1px solid red;} */

body {
    scroll-behavior: smooth;
}

/* Fullscreen loader styling */
#page-loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ffffff; /* Background color */
    z-index: 1050; /* Ensure it stays on top */
}

.text-justify {
    text-align: justify;
    text-justify: inter-word;
}

.no-border:focus,
.no-border:active {
    outline: none;
    box-shadow: none;
}

.nav-link.active {
    color: #0d6efd !important;
    border-bottom: 2px solid #0d6efd;
}

.hero-section {
    height: 500px;
}

.hero-section video,
.hero-section img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(0.6);
    position: absolute;
    z-index: -1;
}

.greetings {
    height: 400px;
}

.left_sidegreetings_container h2 {
    color: white;
    mix-blend-mode: difference;
}

.left_sidegreetings_container p {
    line-height: 30px;
    color: white;
    mix-blend-mode: difference;
}

.right_sideImg_container {
    top: 0;
    height: 100%;
    right: 0;
    z-index: -1;
}

.right_sideImg_container img {
    filter: brightness(.3);
}

.view_points {
    height: 280px;
}

/* 450 for 768 up devices and 250 for sm low device*/
/* .view_points .firstview_point {
    z-index: 5;
    height: 100% !important;
    transition: 1s ease;
}

.view_points .secondview_point {
    z-index: 4;
    height: calc(100% - 20%);
    transition: 1s ease;
}

.view_points .thirdview_point {
    z-index: 3;
    height: calc((100% - 20%) - 20%);
    transition: 1s ease;
} */

.view_points .card {
    width: 320px;
    cursor: pointer;
    box-shadow: 2px 2px 10px #252525, -2px 2px 10px #252525 !important;
}

/* .view_points .firstview_point:hover,
.view_points .secondview_point:hover,
.view_points .thirdview_point:hover {
    z-index: 7;
    transform: scale(1.1);
    margin-left: 5px;
    margin-right: 5px;
}
 */
@media (min-width:992px) {
    .view_points {
        height: 450px;
    }

    .view_points .card {
        width: 520px;
    }
}

.offer_zone .offer_items {
    min-height: 170px;
}

.vertical-text {
    writing-mode: vertical-rl;
    /* Rotates the text vertically, right-to-left */
    transform: rotate(180deg);
    /* Flips the text for proper orientation */
    text-align: center;
    /* Aligns text vertically within the container */
}

.galerygrid_view {
    height: 300px;
}

.h-40 {
    height: 40%;
}

.h-60 {
    height: 60%;
}

.gallery_image {
    transition: transform 1s ease-in-out;
    cursor: pointer;
}

.gallery_image:hover {
    transform: scale(1.2);
}

.zoomedImg {
    width: 100%;
    height: 100%;
    top: 50%;
    left: 50%;
    position: fixed;
    transform: translate(-50%, -50%);
    z-index: 9999;
    display: none;
    /*remember to flex*/
    flex-direction: row;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(5px) brightness(60%);
    margin: 0;
    padding: 30px;

}

.zoomedImg img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 10px;
    margin: 0;
}

/* .zoomedImg a {
    position: absolute;
    right: 0;
    font-size: 30px;
    margin: 10px;
} */

@media (min-width:992px) {
    .galerygrid_view {
        height: 500px;
    }
}

.testimonials .swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
}

.testimonials .swiper-slide .reviews {
    height: 200px;
}

.scrollable-text-container {
    position: relative;
    max-height: 120px;
    /* Limit the visible height */
    overflow-y: hidden;
    /* Hide overflow */
    transition: max-height 0.5s ease-in-out;
    /* Smooth transition when expanding */
}

.scrollable-text-container:hover {
    overflow-y: scroll;
    /* Enable scrolling */
}

.scrollable-text-container::-webkit-scrollbar {
    width: 6px;
    /* Customize scrollbar width */
}

.scrollable-text-container::-webkit-scrollbar-thumb {
    background: rgba(255, 255, 255, 0.5);
    /* Customize scrollbar color */
    border-radius: 3px;
}


.serviceRel_image {
    height: 200px;
}

.rooms_category {
    box-shadow: 0 5px 10px gray;
}

.gallery-item {
    height: 200px;
    overflow: hidden;
}

.gallery-item img {
    object-fit: cover;
    height: 100%;
    width: 100%;
    transition: transform 0.3s ease-in-out;
}

.gallery-item:hover img {
    transform: scale(1.1);
}

.lightbox {
    display: none;
    /* Hidden by default */
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 1050;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    padding: 30px;
}

.footer_link_list li .footer_hover_link>svg {
    transition: transform 0.3s ease, filter 0.3s ease, color 0.3s ease;
}

.footer_link_list li .facebook svg:hover {
    transform: scale(1.2);
    color: #1877F2 !important;
    filter: drop-shadow(0 0 10px #1877F2);
}

.footer_link_list li .instagram svg:hover {
    transform: scale(1.2);
    color: #E1306C !important;
    filter: drop-shadow(0 0 10px #E1306C);
}

.footer_link_list li .twitter svg:hover {
    transform: scale(1.2);
    color: #fff !important;
    filter: drop-shadow(0 0 10px #fff);
}

.footer_link_list li .youtube svg:hover {
    transform: scale(1.2);
    color: #FF0000 !important;
    filter: drop-shadow(0 0 10px #FF0000);
}

.footer_link_list li .pinterest svg:hover {
    transform: scale(1.2);
    color: #ff4561 !important;
    filter: drop-shadow(0 0 10px #ff4561);
}


#custom-cards .row .col .card {
    transition: transform 1s ease;
    cursor: pointer;
}

#custom-cards .row .col .card:hover {
    transform: scale(1.1);
    box-shadow: 0 10px 10px gray;
}


.glassmorphism {
    background: rgba(255, 255, 255, 0.179);
    backdrop-filter: blur(10px);
    border-radius: 8px;
    border: 2px solid rgb(255, 255, 255);
    color: black;
    padding: 0.75rem;
    font-size: 1rem;
}


/* #menu-names{
    height:150px;
    position: relative;
}
.menu-itemsImage {
    height:130px;
    width: 130px;
    filter: drop-shadow(0 10px 10px gray);
    transition: 2s ease-out;
}
.menu-itemsImage:hover {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
} */

#menu-names {
    overflow: hidden;
    position: relative;
    height: 150px;
    box-shadow:0 5px 10px gray, inset 10px 0 10px black, inset -10px 0 10px black;
}

#menu-names .swiper-slide {
    flex: 0 0 auto;
    width: auto;
    max-width: 100%;
}

.menu-itemsImage {
    max-width: 135px;
    max-height: 135px;
    transition: transform 0.3s ease-in-out;
}

/* Hover Effect */
.menu-itemsImage:hover {
    transform: scale(1.15);
}
.menu-itemDetails li span{
    content: '';
    flex: 1; /* Take up remaining space between text and span */
    border-bottom: 1px dotted #6c757d; /* Add dotted line */
    margin: 0 8px; /* Adjust spacing around dots */
}
.custom-tooltip {
    --bs-tooltip-bg: #0d6efd;
}
/* .menu-itemDetails{
    box-shadow: 0 5px 10px gray;
} */

.categorysSwiper {
    width: 100%;
    height: auto;
}

.categorysSwiper .swiper-slide {
    width: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu-item .card .img-container{
    height: 150px;
    display: flex;
    align-items: center;
}

.menu-item .card {
    transition: 1s ease; /* Transition for border and shadow */
}

.menu-item .card:hover {
    transform: scale(1.05);
    /* border: 1px solid var(--bs-primary) !important; */
    box-shadow: 0 0 3px var(--bs-primary);
}

.amenities-items{
    height: 100px;
    width: 100px;
    transition: 1s ease-in-out;
    border: 2px solid var(--bs-light);

}
.amenities-items:hover{
    transform: scale(1.2);
    box-shadow: 0 10px 10px gray;
}
.amenities-name{
    opacity:0;
    transition: opacity 1s ease-in-out;
    position: absolute;
    height: 100%;
    width: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(0, 0, 0, 0.544);
    backdrop-filter: blur(5px);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
}
.amenities-items:hover .amenities-name{
    opacity: 1;
}

/* Swiper container styling */
.barfacilitiesSwiper {
    width: 100%;
    height: 258px;
}

/* Swiper slide adjustments */
.barfacilitiesSwiper .swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}


.go-to-top {
    position: fixed;
    bottom: 50px;
    /* Distance from the bottom */
    right: 20px;
    /* Distance from the right */
    z-index: 9999;
    /* Ensures it's above other elements */
    display: none;
    /* Hidden initially */
}

.go-to-top button {
    background-color: #212529;
    /* Customize button color */
    mix-blend-mode: difference;
    color: white;
    border: none;
    border-radius: 50%;
    /* Circular button */
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, background-color 0.3s ease;
    cursor: pointer;
    border: 2px solid white;
}

.go-to-top button:hover {
    transform: scale(1.1);
    /* Zoom on hover */
}

.go-to-top img {
    width: 50%;
    /* Adjust icon size */
}